Subject: Re: [PATCH v2 2/3] run-command: use errno to check for sigfillset() error

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Mar 2025 17:36:11 -0700

Junio C Hamano <[email-masked]> writes:

> Taylor Blau <[email-masked]> writes:
>
>> On Fri, Mar 14, 2025 at 02:09:08PM -0700, Junio C Hamano wrote:
>>> From: Jeff King <[email-masked]>
>>>
>>> Since enabling -Wunreachable-code, builds with clang on macOS now fail,
>>> complaining that the die_errno() call in:
>>>
>>>   if (sigfillset(&all))
>>> 	die_errno("sigfillset");
>>
>> Hmm. Would it have made sense to swap the order of this and the first
>> patch so we don't have a DEVELOPER=1 breakage (for macOS with Clang) in
>> history?
>>
>> I think it's too late now since this topic is already on 'next', but it
>> occurred to me idly while reading this patch.
>
> I thought db1d1f5d (config.mak.dev: enable -Wunreachable-code,
> 2025-03-14) aka jk/use-wunreachable-code-for-devs~2 is still out of
> 'next'?

Ah, I did revert an earlier one-commit topic out of 'next'.  Perhaps
I didn't tell What's cooking about it.